Attention is currently required from: pespin.
Hello osmith, Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-mgw/+/29659
to look at the new patch set (#2).
Change subject: osmux: Introduce osmux peer-behind-nat (on|off) and rework conn activation
......................................................................
osmux: Introduce osmux peer-behind-nat (on|off) and rework conn activation
Change-Id: I7654ddf51d197a4107e55f4e406053b2e4a02f83
---
M include/osmocom/mgcp/mgcp.h
M include/osmocom/mgcp/osmux.h
M src/libosmo-mgcp/mgcp_osmux.c
M src/libosmo-mgcp/mgcp_protocol.c
M src/libosmo-mgcp/mgcp_vty.c
5 files changed, 131 insertions(+), 50 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-mgw refs/changes/59/29659/2
--
To view, visit https://gerrit.osmocom.org/c/osmo-mgw/+/29659
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-mgw
Gerrit-Branch: master
Gerrit-Change-Id: I7654ddf51d197a4107e55f4e406053b2e4a02f83
Gerrit-Change-Number: 29659
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newpatchset
pespin has submitted this change. ( https://gerrit.osmocom.org/c/docker-playground/+/29665 )
Change subject: ttcn3-mgw: jenkins.sh Fix centos tests
......................................................................
ttcn3-mgw: jenkins.sh Fix centos tests
The sed lines dropping the new configs must be applied to any non-master
run.
Fixes: e077fec68419d13c2dbe347b6799f407dd927ffd
Change-Id: I369bb61f3979bd9118fad17c3d202253411ba14b
---
M ttcn3-mgw-test/jenkins.sh
1 file changed, 1 insertion(+), 1 deletion(-)
Approvals:
Jenkins Builder: Verified
fixeria: Looks good to me, but someone else must approve
osmith: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
diff --git a/ttcn3-mgw-test/jenkins.sh b/ttcn3-mgw-test/jenkins.sh
index 48cd1d1..2dee534 100755
--- a/ttcn3-mgw-test/jenkins.sh
+++ b/ttcn3-mgw-test/jenkins.sh
@@ -16,7 +16,7 @@
mkdir $VOL_BASE_DIR/mgw
cp osmo-mgw.cfg $VOL_BASE_DIR/mgw/
# Can be dropped once released osmo-mgw is >1.10.0:
-if image_suffix_is_latest; then
+if ! image_suffix_is_master; then
sed -i "/^ osmux bind-ip-v6 fd02:db8:4::180/d" $VOL_BASE_DIR/mgw/osmo-mgw.cfg
fi
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/29665
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I369bb61f3979bd9118fad17c3d202253411ba14b
Gerrit-Change-Number: 29665
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
Attention is currently required from: pespin.
Hello osmith, Jenkins Builder, laforge, fixeria,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/29661
to look at the new patch set (#4).
Change subject: mgw: Introduce test TC_crcx_osmux_257
......................................................................
mgw: Introduce test TC_crcx_osmux_257
Related: SYS#5987
Change-Id: I74e6c760e076fe2547b6297a54524255fb8b
---
M mgw/MGCP_Test.ttcn
M mgw/expected-results.xml
M mgw/osmo-mgw.cfg
3 files changed, 49 insertions(+), 2 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/61/29661/4
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/29661
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I74e6c760e076fe2547b6297a54524255fb8bc41b
Gerrit-Change-Number: 29661
Gerrit-PatchSet: 4
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newpatchset
Attention is currently required from: osmith.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/29664 )
Change subject: mgw: Remove hack in f_two_crcx_mdcx_and_rtp_osmux() no longer needed
......................................................................
Patch Set 2:
(1 comment)
Patchset:
PS2:
> should we add a code path for latest release here, so it doesn't start failing?
Latest release is wrong, so it's fine having them fail.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/29664
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I531631d716581f68c11d3c0b07fc6755a822a0d3
Gerrit-Change-Number: 29664
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-CC: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 11 Oct 2022 19:22:49 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: comment
pespin has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/29663 )
Change subject: mgw: Avoid hardcoding in test the amount of endpoints configured in osmo-mgw
......................................................................
mgw: Avoid hardcoding in test the amount of endpoints configured in osmo-mgw
Some tests require to match what's configured in osmo-mgw.
Let's make it possible to change it through a module parameter.
This will be needed for a follow-up patch to test >256 concurrent osmux
conns, which will require increasing the number of configured endpoints
above that value.
Change-Id: Ia1e5a0b59ba7c49e97c2cf7ee7a009f3827cf36d
---
M mgw/MGCP_Test.ttcn
1 file changed, 15 insertions(+), 11 deletions(-)
Approvals:
Jenkins Builder: Verified
fixeria: Looks good to me, but someone else must approve
osmith: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
diff --git a/mgw/MGCP_Test.ttcn b/mgw/MGCP_Test.ttcn
index 859a677..c54fdb4 100644
--- a/mgw/MGCP_Test.ttcn
+++ b/mgw/MGCP_Test.ttcn
@@ -84,6 +84,8 @@
PortNumber mp_local_osmux_port := 1985;
PortNumber mp_mgw_statsd_port := 8125;
PortNumber mp_mgw_ctrl_port := 4267;
+ /* Maximum number of available endpoints in osmo-mgw.cfg ("number endpoints"): */
+ integer mp_num_endpoints := 31;
}
private function f_vty_enable_osmux(boolean osmux_on) runs on dummy_CT {
@@ -941,18 +943,19 @@
}
/* test valid wildcarded CRCX */
+ type record of MgcpEndpoint MgcpEndpointList;
testcase TC_crcx_wildcarded_exhaust() runs on dummy_CT {
- const integer n_endpoints := 31;
var integer i;
var template MgcpCommand cmd;
var MgcpResponse resp;
var MgcpEndpoint ep := c_mgw_ep_rtpbridge & "*@" & c_mgw_domain;
var MgcpCallId call_id := '1234'H;
- var MgcpEndpoint ep_assigned[n_endpoints];
+ var MgcpEndpoint ep_assigned;
+ var MgcpEndpointList ep_assigned_li := {};
f_init();
/* Exhaust all endpoint resources on the virtual trunk */
- for (i := 0; i < n_endpoints; i := i+1) {
+ for (i := 0; i < mp_num_endpoints; i := i+1) {
cmd := ts_CRCX(get_next_trans_id(), ep, "recvonly", call_id);
resp := mgcp_transceive_mgw(cmd, tr_CRCX_ACK);
@@ -962,10 +965,11 @@
var MgcpMessage resp_msg := {
response := resp
}
- if (f_mgcp_find_param(resp_msg, "Z", ep_assigned[i]) == false) {
+ if (f_mgcp_find_param(resp_msg, "Z", ep_assigned) == false) {
setverdict(fail, "No SpecificEndpointName in MGCP response", resp);
mtc.stop;
}
+ ep_assigned_li := ep_assigned_li & {ep_assigned}
}
/* Try to allocate one more endpoint, which should fail */
@@ -975,8 +979,8 @@
setverdict(pass);
/* clean-up */
- for (i := 0; i < n_endpoints; i := i+1) {
- f_dlcx_ok(ep_assigned[i], call_id);
+ for (i := 0; i < mp_num_endpoints; i := i+1) {
+ f_dlcx_ok(ep_assigned_li[i], call_id);
}
setverdict(pass);
}
@@ -1040,7 +1044,8 @@
testcase TC_dlcx_non_existant_ep() runs on dummy_CT {
var template MgcpCommand cmd;
var MgcpResponse resp;
- var MgcpEndpoint ep := c_mgw_ep_rtpbridge & "AA@" & c_mgw_domain;
+ var charstring non_existant_ep := hex2str(int2hex(mp_num_endpoints + 1, 4))
+ var MgcpEndpoint ep := c_mgw_ep_rtpbridge & non_existant_ep & "@" & c_mgw_domain;
var template MgcpResponse rtmpl := {
line := {
code := ("500"),
@@ -1090,14 +1095,13 @@
var template MgcpCommand cmd;
var MgcpResponse resp;
var MgcpEndpoint ep := c_mgw_ep_rtpbridge & "*@" & c_mgw_domain;
- const integer n_endpoints := 31;
var integer i;
var MgcpCallId call_id := '1234'H;
var StatsDExpects expect;
f_init(ep);
/* Allocate a few endpoints */
- for (i := 0; i < n_endpoints; i := i+1) {
+ for (i := 0; i < mp_num_endpoints; i := i+1) {
cmd := ts_CRCX(get_next_trans_id(), ep, "recvonly", call_id);
resp := mgcp_transceive_mgw(cmd, tr_CRCX_ACK);
}
@@ -1106,7 +1110,7 @@
* occupied endpoints */
f_sleep(1.0)
expect := {
- { name := "TTCN3.trunk.virtual-0.common.endpoints.used", mtype := "g", min := n_endpoints, max := n_endpoints}
+ { name := "TTCN3.trunk.virtual-0.common.endpoints.used", mtype := "g", min := mp_num_endpoints, max := mp_num_endpoints}
};
f_statsd_expect(expect);
@@ -1125,7 +1129,7 @@
/* Query a the statsd once to ensure that intermediate results are pulled from the
* pipeline. The second query (below) will return the actual result. */
expect := {
- { name := "TTCN3.trunk.virtual-0.common.endpoints.used", mtype := "g", min := 0, max := n_endpoints}
+ { name := "TTCN3.trunk.virtual-0.common.endpoints.used", mtype := "g", min := 0, max := mp_num_endpoints}
};
f_statsd_expect(expect);
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/29663
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Ia1e5a0b59ba7c49e97c2cf7ee7a009f3827cf36d
Gerrit-Change-Number: 29663
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged